Bug 435551 - PolicyKit ignores policy files on some filesystems (xfs).
PolicyKit ignores policy files on some filesystems (xfs).
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-01 08:25 EST by Anton Guda
Modified: 2013-03-05 22:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-06 00:20:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Using stat + some debug (1.74 KB, patch)
2008-03-01 08:28 EST, Anton Guda
no flags Details | Diff

  None (edit)
Description Anton Guda 2008-03-01 08:25:45 EST
Description of problem:

PolicyKit uses non-standard d_type field of direntry structire.
Some filesystems (for example XFS) don't use (and don't fill) this field.
So, if /usr/share/PolicyKit/policy placed on such filesystem,
PolicyKit ignores all policy files.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. put  /usr/share/PolicyKit/policy to XFS filesystem
2. restart PolicyKit
3. try to mount usb drive, access to photo .....
Actual results:
All actions disabled (dy default w/o policy files).

Expected results:
Actions controlled by policy.

Additional info:
Comment 1 Anton Guda 2008-03-01 08:28:28 EST
Created attachment 296451 [details]
Using stat + some debug

With this patch is works for me.
Some debug additions may be dropped.
Comment 2 David Zeuthen 2008-03-01 12:32:14 EST
Already fixed upstream; will land in Rawhide before f9.

Comment 3 Matthias Clasen 2008-04-06 00:20:02 EDT
Fix is in rawhide now

Note You need to log in before you can comment on or make changes to this bug.